Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 738974 - net-misc/gerbera-1.5.0-r2 : /.../upnp_headers.h: fatal error: ExtraHeaders.h: No such file or directory
Summary: net-misc/gerbera-1.5.0-r2 : /.../upnp_headers.h: fatal error: ExtraHeaders.h:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Ian Whyman (thev00d00)
URL:
Whiteboard:
Keywords:
Depends on: 742488
Blocks:
  Show dependency tree
 
Reported: 2020-08-25 16:47 UTC by Toralf Förster
Modified: 2020-09-19 09:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.65 KB, text/plain)
2020-08-25 16:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,240.00 KB, text/plain)
2020-08-25 16:47 UTC, Toralf Förster
Details
environment (environment,117.44 KB, text/plain)
2020-08-25 16:47 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,28.86 KB, application/x-bzip)
2020-08-25 16:47 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.29 KB, application/x-bzip)
2020-08-25 16:47 UTC, Toralf Förster
Details
net-misc:gerbera-1.5.0-r2:20200824-202222.log (net-misc:gerbera-1.5.0-r2:20200824-202222.log,24.78 KB, text/plain)
2020-08-25 16:47 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.00 KB, application/x-bzip)
2020-08-25 16:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-08-25 16:47:18 UTC
In file included from /var/tmp/portage/net-misc/gerbera-1.5.0-r2/work/gerbera-1.5.0/src/file_request_handler.cc:49:
/var/tmp/portage/net-misc/gerbera-1.5.0-r2/work/gerbera-1.5.0/src/util/upnp_headers.h:29:10: fatal error: ExtraHeaders.h: No such file or directory
   29 | #include <ExtraHeaders.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl-20200820-131852

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python3.6 (fallback)
  [5]   python2.7 (fallback)
  [6]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.45.2 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.265_p01 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Mon Aug 24 08:05:14 PM UTC 2020
/var/db/repos/libressl	Mon Aug 10 09:13:35 AM UTC 2020

emerge -qpvO net-misc/gerbera
[ebuild   R   ] net-misc/gerbera-1.5.0-r2  USE="exif ffmpeg javascript magic matroska taglib -curl -debug -exiv2 -ffmpegthumbnailer -lastfm -mysql -systemd"
Comment 1 Toralf Förster gentoo-dev 2020-08-25 16:47:19 UTC
Created attachment 656644 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-08-25 16:47:21 UTC
Created attachment 656646 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-08-25 16:47:23 UTC
Created attachment 656648 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-08-25 16:47:25 UTC
Created attachment 656650 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-08-25 16:47:26 UTC
Created attachment 656652 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-08-25 16:47:27 UTC
Created attachment 656654 [details]
net-misc:gerbera-1.5.0-r2:20200824-202222.log
Comment 7 Toralf Förster gentoo-dev 2020-08-25 16:47:29 UTC
Created attachment 656656 [details]
temp.tbz2
Comment 8 dave.eckold 2020-09-14 12:11:58 UTC
Version bumping both the ebuild and gerbera-1.5.0-incomplete-type-iohandler.patch
to version 1.6.1 (released 3rd Sept 2020) in a local repo is compilable and I've had no issues with so far.
Comment 9 Ian Whyman (thev00d00) gentoo-dev 2020-09-19 09:29:04 UTC
Fixed with a 1.6.1 bump